gr::radar::estimator_cw_impl Class Reference

`#include <estimator_cw_impl.h>`

Inheritance diagram for gr::radar::estimator_cw_impl:

## Public Member Functions

| estimator_cw_impl (float center_freq)
| ~estimator_cw_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

float | d_center_freq
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out
std::vector< float > | d_freq
pmt::pmt_t | d_ptimestamp
pmt::pmt_t | d_pfreq
std::vector< float > | d_vel
pmt::pmt_t | d_vel_key
pmt::pmt_t | d_vel_value
pmt::pmt_t | d_vel_pack
pmt::pmt_t | d_value
pmt::pmt_t | d_time_key
pmt::pmt_t | d_time_value
pmt::pmt_t | d_time_pack

## Static Public Attributes

static constexpr float | c_light = 3e8

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_cw
typedef std::shared_ptr< estimator_cw > | sptr
Static Public Member Functions inherited from gr::radar::estimator_cw
static sptr | make (float center_freq)
| Return a shared_ptr to a new instance of radar::estimator_cw.

## Constructor & Destructor Documentation

## estimator_cw_impl()

gr::radar::estimator_cw_impl::estimator_cw_impl | ( | float | center_freq | ) |

## ~estimator_cw_impl()

gr::radar::estimator_cw_impl::~estimator_cw_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::estimator_cw_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## c_light

float gr::radar::estimator_cw_impl::c_light = 3e8

static constexpr

## d_center_freq

float gr::radar::estimator_cw_impl::d_center_freq

## d_freq

std::vector<float> gr::radar::estimator_cw_impl::d_freq

## d_pfreq

pmt::pmt_t gr::radar::estimator_cw_impl::d_pfreq

## d_port_id_in

pmt::pmt_t gr::radar::estimator_cw_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::estimator_cw_impl::d_port_id_out

## d_ptimestamp

pmt::pmt_t gr::radar::estimator_cw_impl::d_ptimestamp

## d_time_key

pmt::pmt_t gr::radar::estimator_cw_impl::d_time_key

## d_time_pack

pmt::pmt_t gr::radar::estimator_cw_impl::d_time_pack

## d_time_value

pmt::pmt_t gr::radar::estimator_cw_impl::d_time_value

## d_value

pmt::pmt_t gr::radar::estimator_cw_impl::d_value

## d_vel

std::vector<float> gr::radar::estimator_cw_impl::d_vel

## d_vel_key

pmt::pmt_t gr::radar::estimator_cw_impl::d_vel_key

## d_vel_pack

pmt::pmt_t gr::radar::estimator_cw_impl::d_vel_pack

## d_vel_value

pmt::pmt_t gr::radar::estimator_cw_impl::d_vel_value

The documentation for this class was generated from the following file:

- estimator_cw_impl.h